# DANaturalToGlobalEnd

Maps values from the natural ordering global vector to a global vector in the PETSc DA ordering. Must be preceeded by DANaturalToGlobalBegin().

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DANaturalToGlobalEnd(DA da,Vec g,InsertMode mode,Vec l)

Collective on DA

### Input Parameters

| da | - the distributed array context
| g | - the global vector in a natural ordering
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the global values in the PETSc DA ordering

### Notes

The global and local vectors used here need not be the same as those obtained from DACreateGlobalVector() and DACreateNaturalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DA originating vectors.

### Keywords

distributed array, global to local, end

### See Also

DAGlobalToNaturalBegin(), DAGlobalToNaturalEnd(), DALocalToGlobal(), DACreate2d(),
DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DACreateNaturalVector(), DALocalToGlobalBegin(), DALocalToGlobalEnd()

Level:intermediate
Location: src/dm/da/src/dagtol.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages